import request from '@/utils/request'

export function genZip(query) {
  return request({
    url: '/pssr/approve/genZip',
    method: 'get',
    params: query
  })
}

// 查询PSSR列表
export function listAboveall(query) {
  return request({
    url: '/pssr/aboveall/list',
    method: 'get',
    params: query
  })
}

// 查询PSSR详细
export function getAboveall(id) {
  return request({
    url: '/pssr/aboveall/' + id,
    method: 'get'
  })
}

// 新增PSSR
export function addAboveall(data) {
  return request({
    url: '/pssr/aboveall',
    method: 'post',
    data: data
  })
}

// 修改PSSR
export function updateAboveall(data) {
  return request({
    url: '/pssr/aboveall',
    method: 'put',
    data: data
  })
}

//
export function updateAboveallBatch(data) {
  return request({
    url: '/pssr/aboveall/editBatch',
    method: 'put',
    data: data
  })
}


// 删除PSSR
export function delAboveall(id) {
  return request({
    url: '/pssr/aboveall/' + id,
    method: 'delete'
  })
}

// 导出PSSR
export function exportAboveall(query) {
  return request({
    url: '/pssr/aboveall/export',
    method: 'get',
    params: query
  })
}

// 导出PSSR
export function getPssrUser(query) {
  return request({
    url: '/pssr/aboveall/listPssrUser',
    method: 'get',
    params: query
  })
}
